Data Structures | Typedefs | Functions | Variables

# linkgraph.h File Reference

Declaration of link graph classes used for cargo distribution. More...

`#include "../station_base.h"`
`#include "../cargo_type.h"`
`#include "../thread/thread.h"`
`#include "../settings_type.h"`
`#include "../date_func.h"`
`#include "linkgraph_type.h"`
`#include <list>`
`#include <vector>`
`#include <set>`

Go to the source code of this file.

## Data Structures
class | Node
| Node of the link graph. More...
class | Edge
| An edge in the link graph. More...
class | LinkGraphComponent
| A connected component of a link graph. More...
class | ComponentHandler
| A handler doing "something" on a link graph component. More...
class | LinkGraphJob
| A job to be executed on a link graph component. More...
class | LinkGraph
| A link graph, inheriting one job. More...
class | Path
| A leg of a path in the link graph. More...
## Typedefs
typedef std::set< Path * > | PathSet
typedef std::map< NodeID, Path * > | PathViaMap
typedef std::map< StationID, int > | FlowViaMap
typedef std::map< StationID, FlowViaMap > | FlowMap
## Functions
void | InitializeLinkGraphs ()
| Initialize all link graphs.
## Variables
LinkGraph | _link_graphs [NUM_CARGO]
| Global array of link graphs, one for each cargo.

## Detailed Description

Declaration of link graph classes used for cargo distribution.

Definition in file linkgraph.h.

## Function Documentation

void InitializeLinkGraphs | ( |  | ) |

Initialize all link graphs.

Used when loading a game.

Definition at line 520 of file linkgraph.cpp.